# Class AutoConfirmSettings

#### Hierarchy

- unknown
  - AutoConfirmSettings

- Defined in src/protobuf/pb_pb.d.ts:7163
- Defined in src/protobuf/pb_pb.d.ts:7189

#####
Index

### Constructors

constructor

### Methods

addServiceAddresses
clearServiceAddressesList
getCurrencyCode
getEnabled
getRequiredConfirmations
getServiceAddressesList
getTradeLimit
serializeBinary
setCurrencyCode
setEnabled
setRequiredConfirmations
setServiceAddressesList
setTradeLimit
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AutoConfirmSettings(): AutoConfirmSettings

- #### Returns AutoConfirmSettings

  Inherited from jspb.Message.constructor

## Methods

### addServiceAddresses

- addServiceAddresses(value: string, index?: number): AutoConfirmSettings

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7176

### clearServiceAddressesList

- clearServiceAddressesList(): AutoConfirmSettings

- #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7175

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7178

### getEnabled

- getEnabled(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7164

### getRequiredConfirmations

- getRequiredConfirmations(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7167

### getServiceAddressesList

- getServiceAddressesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:7173

### getTradeLimit

- getTradeLimit(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7170

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7181

### setCurrencyCode

- setCurrencyCode(value: string): AutoConfirmSettings

- #### Parameters

  - ##### value: string

  #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7179

### setEnabled

- setEnabled(value: boolean): AutoConfirmSettings

- #### Parameters

  - ##### value: boolean

  #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7165

### setRequiredConfirmations

- setRequiredConfirmations(value: number): AutoConfirmSettings

- #### Parameters

  - ##### value: number

  #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7168

### setServiceAddressesList

- setServiceAddressesList(value: string[]): AutoConfirmSettings

- #### Parameters

  - ##### value: string[]

  #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7174

### setTradeLimit

- setTradeLimit(value: number): AutoConfirmSettings

- #### Parameters

  - ##### value: number

  #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7171

### toObject

- toObject(includeInstance?: boolean): AutoConfirmSettings.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AutoConfirmSettings.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7182

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AutoConfirmSettings

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7185

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AutoConfirmSettings, reader: BinaryReader): AutoConfirmSettings

- #### Parameters

  - ##### message: AutoConfirmSettings

  - ##### reader: BinaryReader

  #### Returns AutoConfirmSettings

  - Defined in src/protobuf/pb_pb.d.ts:7186

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AutoConfirmSettings, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AutoConfirmSettings

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7184

### `Static` toObject

- toObject(includeInstance: boolean, msg: AutoConfirmSettings): AutoConfirmSettings.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AutoConfirmSettings

  #### Returns AutoConfirmSettings.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7183

Generated using TypeDoc